Subject: bug#18516: Acknowledgement (24.4.50; EMACS crashes when I try to open Elisp manual)

From: Vincent Belaïche <[email-masked]>
Date: Sun, 21 Sep 2014 20:00:35 +0200

Dear Eli,

Here is what I get with gdb after going to the src directory:

-----------------------------------------------------------------------
(gdb) target exec ../nt/runemacs.exe
(gdb) run -Q "--eval=(setq source-directory \"c:/Programme/GNU/Emacs/\")" "--eval=(eval-after-load \"Info\"  '(dolist (i '(\"c:/Programme/GNU/emacs/share/info/\" \"c:/Invalid/path/info\" )) (add-to-list 'Info-directory-list i)))" -f info "--eval=(Info-menu \"Elisp\")"
Starting program: c:\Programme\GNU\installation\emacs-install\emacs\trunk\nt\runemacs.exe -Q "--eval=(setq source-directory \"c:/Programme/GNU/Emacs/\")" "--eval=(eval-after-load \"Info\"  '(dolist (i '(\"c:/Programme/GNU/emacs/share/info/\" \"c:/Invalid/path/info\" )) (add-to-list 'Info-directory-list i)))" -f info "--eval=(Info-menu \"Elisp\")"
[New Thread 85856.0x14dc0]
[Inferior 1 (process 85856) exited normally]
-----------------------------------------------------------------------

It did not crash when started from the debugger --- it got open on the Elisp manual top page, and then
I typed 'C-x C-c' to exit. The `[Inferior 1 (process 85856) exited
normally]' output was made before I exited.

FYI, I simplified the batch causing the crash, the minimal content is now:
-----------------------------------------------------------------------
start c:\Programme\GNU\Emacs\bin\runemacs.exe -Q  "--eval=(eval-after-load \"Info\"  '(dolist (i '(\"c:/Programme/GNU/emacs/share/info/\" \"c:Invalid/path/info\" )) (add-to-list 'Info-directory-list i)))" -f info "--eval=(Info-menu \"Elisp\")"
-----------------------------------------------------------------------

I just removed from it the setting of source-directory, and used
backslashes for the program path.

FYI, it did not launch addpm.exe, and I installed on the same location
as a previous installation.

The previous installation was also a build from sources, here is its
`M-x version' output:

GNU Emacs 24.3.50.2 (i686-pc-mingw32) of 2013-08-25 on CHOUNEK

This 24.3.50.2 Emacs does *NOT* crash when I do the same experiment.

My current Emacs is

GNU Emacs 24.4.50.1 (i686-pc-mingw32) of 2014-09-19 on CHOUNEK

So, it seems that the problem is fairly recent --- well on my time
scale, which is rather slow compared to you who are active developpers
--- as it happened over the last year or so (the interval between these
versions is 390 days).

   Vincent.

----------------------------------------
> Date: Sun, 21 Sep 2014 19:00:11 +0300
> From: [email-masked]
> Subject: Re: bug#18516: 24.4.50; EMACS crashes when I try to open Elisp manual
> To: [email-masked]
> CC: [email-masked]
>
> > From: Vincent Belaïche <[email-masked]>
> > Date: Sun, 21 Sep 2014 10:55:48 +0200
> > Cc: Vincent Belaïche <[email-masked]>
> >
> > I tried to start Emacs from gdb (the latter started from an MSYS
> > console) but then I got that xbacktrace is not supported.
>
> You need to start GDB from the src directory of the Emacs tree.